<?php
namespace Bluebirdday\TranssmartSmartConnect\Block\Adminhtml\Sales\Order\View;

use Magento\Sales\Model\Order\Address;

class Info extends \Magento\Sales\Block\Adminhtml\Order\View\Info
{
    /**
     * @param Address $address
     * @return string
     */
    public function getFormattedAddress(Address $address)
    {
        $parentResult =  parent::getFormattedAddress($address);
        $emailInfo = $address->getEmail()
            ? "<br/><a href='mailto:{$address->getEmail()}'>{$address->getEmail()}</a>\n\n"
            : '';
        return $parentResult . $emailInfo;
    }
}
