<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Data;

/**
 * Data container for parcel measurements
 */
class Measurements extends \Bluebirdday\TranssmartSmartConnect\Model\Data\Container
{
    /**
     * @var array
     */
    protected $requiredFields = [
        'length',
        'width',
        'height',
        'weight',
        'linearUom',
        'massUom',
    ];

    /**
     * @var array
     */
    protected $optionalFields = [
        'calculatedWeight',
        'calculatedWeightType',
        'calculatedWeightUom',
    ];

    public function getLength()
    {
        return $this->getData('length');
    }

    public function getWidth()
    {
        return $this->getData('width');
    }

    public function getHeight()
    {
        return $this->getData('height');
    }

    public function getWeight()
    {
        return $this->getData('weight');
    }

    public function getLinearUom()
    {
        return $this->getData('linearUom');
    }

    public function getMassUom()
    {
        return $this->getData('massUom');
    }

    public function getCalculatedWeight()
    {
        return $this->getData('calculatedWeight');
    }

    public function getCalculatedWeightType()
    {
        return $this->getData('calculatedWeightType');
    }

    public function getCalculatedWeightUom()
    {
        return $this->getData('calculatedWeightUom');
    }
}
