<?php
namespace Bluebirdday\TranssmartSmartConnect\Block\Frontend\Sales\Order;

use Magento\Sales\Model\Order\Address;

class Info extends \Magento\Sales\Block\Order\Info
{
    /**
     * Customer wants to see email which is not implied by template
     *
     * @param Address $address
     * @return string
     */
    public function getFormattedAddress(Address $address)
    {
        $parentResult =  parent::getFormattedAddress($address);
        $emailInfo = $address->getEmail()
            ? "<br/><a href='mailto:{$address->getEmail()}'>{$address->getEmail()}</a>\n"
            : '';
        return $parentResult . $emailInfo;
    }

}
