<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Adminhtml\System\Config\Source\Mapping;

class Street extends \Magento\Eav\Model\Entity\Attribute\Source\AbstractSource
{
    const FULL     = -1;
    const NONE     = 0;
    const STREET_1 = 1;
    const STREET_2 = 2;
    const STREET_3 = 3;
    const STREET_4 = 4;

    /**
     * @return array
     */
    public function getAllOptions()
    {
        $options = [
            [
                'value' => self::NONE,
                'label' => __('(empty)')
            ],
            [
                'value' => self::STREET_1,
                'label' => __('Street %1', 1)
            ],
            [
                'value' => self::STREET_2,
                'label' => __('Street %1', 2)
            ],
            [
                'value' => self::STREET_3,
                'label' => __('Street %1', 3)
            ],
            [
                'value' => self::STREET_4,
                'label' => __('Street %1', 4)
            ],
            [
                'value' => self::FULL,
                'label' => __('Combined Street Fields')
            ],
        ];

        return $options;
    }
}
