<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Data;

class AdditionalReferences extends \Bluebirdday\TranssmartSmartConnect\Model\Data\Container
{
    protected $optionalFields = [
        'references'
    ];

    public function addReference($type, $value)
    {
        $references = $this->getData('references');
        if (!is_array($references)) {
            $references = [];
        }
        $references[] = [
            'type' => $type,
            'value' => $value
        ];
        $this->setData('references', $references);
    }

    public function toArray(array $keys = [])
    {
        $references = $this->getData('references');
        if (!$references) {
            return [];
        }
        return $references;
    }
}
