<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Data;

class DeliveryNoteInfo extends \Bluebirdday\TranssmartSmartConnect\Model\Data\Container
{
    protected $requiredFields = [
        'deliveryNoteId',
        'currency',
        'deliveryNoteLines',
    ];

    /**
     * Get delivery note id
     *
     * @return string
     */
    public function getDeliveryNoteId()
    {
        return $this->getData('deliveryNoteId');
    }

    /**
     * Get currency code
     *
     * @return string
     */
    public function getCurrency()
    {
        return $this->getData('currency');
    }

    /**
     * Get delivery note lines array
     *
     * @return DeliveryNoteLine[]
     */
    public function getDeliveryNoteLines()
    {
        return $this->getData('deliveryNoteLines');
    }
}
