<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Entity;

interface RepositoryInterface
{
    /**
     * @return \Magento\Framework\Model\AbstractExtensibleModel[]
     */
    public function getList();

    /**
     * @param \Magento\Framework\Model\AbstractExtensibleModel $model
     * @return void
     */
    public function save($model);

    /**
     * @param \Magento\Framework\Model\AbstractExtensibleModel $model
     * @return void
     */
    public function delete($model);
}
